| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | List of all members
wxPGChoicesData Class Reference

`#include <wx/propgrid/property.h>`

Inheritance diagram for wxPGChoicesData:
[legend]

## Public Member Functions

| wxPGChoicesData ()
void | CopyDataFrom (wxPGChoicesData *data)
wxPGChoiceEntry & | Insert (int index, const wxPGChoiceEntry &item)
void | Clear ()
unsigned int | GetCount () const
const wxPGChoiceEntry & | Item (unsigned int i) const
wxPGChoiceEntry & | Item (unsigned int i)

## Protected Member Functions

virtual | ~wxPGChoicesData ()

## Constructor & Destructor Documentation

wxPGChoicesData::wxPGChoicesData | ( |  | ) |

virtual wxPGChoicesData::~wxPGChoicesData | ( |  | ) |

protectedvirtual

## Member Function Documentation

void wxPGChoicesData::Clear | ( |  | ) |

void wxPGChoicesData::CopyDataFrom | ( | wxPGChoicesData * | data | ) |

unsigned int wxPGChoicesData::GetCount | ( |  | ) | const

wxPGChoiceEntry& wxPGChoicesData::Insert | ( | int | index,
|  | const wxPGChoiceEntry & | item
| ) |  |

const wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) | const

wxPGChoiceEntry& wxPGChoicesData::Item | ( | unsigned int | i | ) |